Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29707 - Hyperlinks should give "activated" feedback
Hyperlinks should give "activated" feedback
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Output Window
3.x
All All
: P3 (vote)
: TBD
Assigned To: t_h
issues@platform
: UI
Depends on:
Blocks: 70469
  Show dependency treegraph
 
Reported: 2002-12-23 23:47 UTC by David-john Burrowes
Modified: 2009-08-04 14:13 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
hyperlink states (6.31 KB, image/png)
2005-05-10 11:21 UTC, Jindrich Dinga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David-john Burrowes 2002-12-23 23:47:33 UTC
Hyperlinks are sometimes shown in the output
window.  When the userclicks on them, however,
they do not change their appearance to indicate
that they have been successfully clicked.  The
conventional behavior for hyperlinks is that they
are drawn in red during a mouse down, and I think
our usability would be improved if we did that
here too.
Comment 1 _ tboudreau 2003-02-19 15:10:32 UTC
Adding Ivan to cc, he is maintaining term library, where this would
need to be handled.
Comment 2 Jan Chalupa 2005-05-09 09:40:21 UTC
Milos, see if this is still relevant.
Comment 3 Milos Kleint 2005-05-09 13:39:46 UTC
IMHO reasonable enhancement. Should be easy to do.
Comment 4 Milos Kleint 2005-05-10 10:36:49 UTC
Jindro, do we want to do this for output?
Comment 5 Jindrich Dinga 2005-05-10 11:19:23 UTC
Yes, it would be nice to have this feature. 

I attached picture how the hyperlink should looks like in non-pressed, mouse pressed and pressed 
state.
Comment 6 Jindrich Dinga 2005-05-10 11:21:30 UTC
Created attachment 22065 [details]
hyperlink states
Comment 7 Milos Kleint 2005-05-10 12:26:46 UTC
Jindro, thanks for clarification.

a few points.

currently we have 2 distinct shades of blue for 'important' and non-important
links (compile errors contra warnings), the important one is has more Saturation.

the red one is for clicked hyperlinks? in my browser I get red color on links
also when  I hover over the link with mouse.
Comment 8 Milos Kleint 2005-05-10 12:27:22 UTC
forgot to reassign again.
Comment 9 David-john Burrowes 2005-05-10 16:40:23 UTC
Can we do something else to distinguish errors from warnings?  For A11Y purposes
it is generally better to not use only color to distinguish different information.
Comment 10 Milos Kleint 2005-05-11 07:15:01 UTC
the output window also stops at the first 'important' link (eg. error)

it would be nice to have something more to distinguish the imporant from
unimportan ones. 
Comment 11 Jindrich Dinga 2005-05-11 11:04:48 UTC
Milosi, I've checked hyperlink's behavior on Windows XP (Mozilla) and on Mac (Safari, Explorer) and it 
behaves in way which describes attached picture. In these browsers the hyperlink is red only when it is 
pressed but not released. After releasing the button the hyperlink becomes purple.On mouse over, a 
gesture appears.

I am going to check the hyperlinks in Output window.
Comment 12 Jindrich Dinga 2005-05-11 11:05:55 UTC
Milosi, I've checked hyperlink's behavior on Windows XP (Mozilla) and on Mac (Safari, Explorer) and it 
behaves in way which describes attached picture. In these browsers the hyperlink is red only when it is 
pressed but not released. After releasing the button the hyperlink becomes purple.On mouse over, a 
gesture appears.

I am going to check the hyperlinks in the Output window.
Comment 13 Jindrich Dinga 2005-05-11 11:08:03 UTC
Ooops...sorry for the mistake :)
Comment 14 Jindrich Dinga 2006-09-06 08:32:50 UTC
Reassigning to jrojcek.
Comment 15 t_h 2009-08-04 14:13:11 UTC
Hyperlinks can now have arbitrary color so it could be confusing to change their colors to reflect activated/visited
states. IMHO wontfix.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo